BASE32(1)

NOM
base32 – Encoder ou décoder des données en base32 et les afficher sur la sortie standard

SYNOPSIS
base32 [OPTION] ... [FICHIER]

DESCRIPTION

base32 encode ou décode le FICHIER ou l'entrée standard, et les affiche sur la sortie standard.

L'entrée standard est lue quand FICHIER est omis ou quand FICHIER vaut « - ».

Les paramètres obligatoires pour les options de forme longue le sont aussi pour les options de forme courte.

-d, --decode
    décoder les données

-i, --ignore-garbage
    ignorer les caractères non alphabétiques lors du décodage

-w, --wrap=COLONNES
    ajuster la longueur des lignes encodées à COLONNES caractères (76 par défaut). Utilisez 0 pour désactiver l'ajustement automatique des lignes.

--help
    afficher l'aide-mémoire et quitter

--version
    afficher le nom et la version du logiciel et quitter

Les données sont encodées selon l'alphabet base32 tel que décrit dans la RFC 4648. Lors du décodage, l'entrée peut contenir des changements de ligne en plus des octets de l'alphabet base32 strict. Utilisez --ignore-garbage pour essayer de ne pas être gêné par les autres octets non alphabétiques du flux encodé.

AUTEUR
Écrit par Simon Josefsson.

SIGNALER DES BOGUES
Aide en ligne de GNU coreutils : <https://www.gnu.org/software/coreutils/>
Signaler toute erreur de traduction à <https://translationproject.org/team/fr.html>

COPYRIGHT
Copyright © 2020 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou ultérieure <https://gnu.org/licenses/gpl.html>
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
Documentation complète : <https://www.gnu.org/software/coreutils/base32>
aussi disponible localement à l’aide de la commande : info '(coreutils) base32 invocation'

TRADUCTION
La traduction française de cette page de manuel a été créée par Guillaume Delacour <guillaume.delacour@gmail.com>, Nicolas Haller <nicolas@boiteameuh.org>, Jean-Marc Chaton <chaton@debian.org>, Sylvain Archenault <sylvain.archenault@laposte.net>, Julien Cristau <jcristau@debian.org>, Thomas Huriaux <thomas.huriaux@gmail.com>, Franck Bassi <fblinux@wanadoo.fr>, Valéry Perrin <valery.perrin.debian@free.fr>, Guilhelm Panaget <guilhelm.panaget@free.fr>, Jean-Luc Coulon (f5ibh) <jean-luc.coulon@wanadoo.fr>, Simon Paillard <simon.paillard@resel.enst-bretagne.fr>, Luc Froidefond <luc.froidefond@free.fr>, Steve Petruzzello <dlist@bluewin.ch>, Julien Rosal <albator.deb@gmail.com>, Grégory Colpart <reg@evolix.fr>, Cédric Lucantis <omer@no-log.org>, Nicolas François <nicolas.francois@centraliens.net>, Bastien Scher <bastien0705@gmail.com>, David Prévot <david@tilapin.org> et Jean-Pierre Giraud <jean-pierregiraud@neuf.fr> Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE. Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.